Generation Framework

## org.eclipse.gmf.gmfgraph
Interface XYLayoutData

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LayoutData, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  XYLayoutDataImpl

    public interface XYLayoutData

extends LayoutData

A representation of the model object 'XY Layout Data'.

The following features are supported:

- `Top Left`
- `Size`

See Also:
  `GMFGraphPackage.getXYLayoutData()`
** Generated **
Model:

Method Summary
`Dimension` `getSize()` Returns the value of the 'Size' containment reference
`Point` `getTopLeft()` Returns the value of the 'Top Left' containment reference
`void` `setSize(Dimension value)` Sets the value of the '`Size`' containment reference
`void` `setTopLeft(Point value)` Sets the value of the '`Top Left`' containment reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.LayoutData
`getOwner, setOwner`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTopLeft

    Point getTopLeft()

  Returns the value of the 'Top Left' containment reference.

  If the meaning of the 'Top Left' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Top Left' containment reference.
  See Also:
    `setTopLeft(Point)`, `GMFGraphPackage.getXYLayoutData_TopLeft()`
  ** Generated **
  Model:
    containment="true" required="true"

### setTopLeft

    void setTopLeft(Point value)

  Sets the value of the '`Top Left`' containment reference.

  Parameters:
    `value` - the new value of the 'Top Left' containment reference.
  See Also:
    `getTopLeft()`
  ** Generated **

### getSize

    Dimension getSize()

  Returns the value of the 'Size' containment reference.

  If the meaning of the 'Size' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Size' containment reference.
  See Also:
    `setSize(Dimension)`, `GMFGraphPackage.getXYLayoutData_Size()`
  ** Generated **
  Model:
    containment="true" required="true"

### setSize

    void setSize(Dimension value)

  Sets the value of the '`Size`' containment reference.

  Parameters:
    `value` - the new value of the 'Size' containment reference.
  See Also:
    `getSize()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.